Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

Unsere Config-Anwender haben nach dem altbekannten Record-Description-Dialog aus ADTF2 gefragt. Dieser poppte bei jedem

Rec-Start/Stop auf und erlaubte die Eingabe eines Eingabetextes. Dieser wurde wohl in die Datei *.dat.description geschrieben und

(nach meiner Erinnerung) auch in den DAT-File-Header (?).

Gibt es so ein Feature weiterhin in ADTF3?

Der Recorder aus ADTF3 hat ein Property default_description. Dieses ist mit dem genannten Feature aus ADTF2 verwandt, oder?

Für eine Nutzung müßte man aber stets Init/DeInit machen, was nicht von unseren Anwendern gewünscht ist.

Lösung:

Ab der 3.16.0 ist nun das "Qt5 ADTF XSystem UI Service" enthalten.

Was dieser u.a. mitbringt:

Another improvement with ADTF 3.16.0 is the option to adapt the filename and description before recording stopped.

In der 3.16.0 Doku zu finden unter Qt5 ADTF XSystem UI Service Plugin

History

#1 - 2023-03-28 11:18 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Recorder

#2 - 2023-03-28 13:24 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Patrick,

super Timing, mit der heute gelieferten ADTF 3.16.0 kannst du das neben Split und Marker setzen im XSystem behandeln.

Gruß,

Florian

#3 - 2023-03-28 13:34 - hidden

Hallo Patrick,

ja dieses Property ist bisher genau dafür vorgesehen.

Wie von Flo schon geschrieben: Ab der 3.16.0 ist nun das "Qt5 ADTF XSystem UI Service" enthalten.

Die Online-Doku wird gerade noch aktualisiert. In der mitgelieferten Doku in ADTF 3.16.0 sind die ganzen Infos enthalten.

Was dieser u.a. mitbringt:

Another improvement with ADTF 3.16.0 is the option to adapt the filename and description before recording stopped.

Ich vermute das ist exakt was Ihr sucht?

In der 3.16.0 Doku zu finden unter "Qt5 ADTF XSystem UI Service Plugin".
https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_xsystem_plugin.html#section_adtf_xsystem


Components - System Services - Delivered System Service Plugins - Qt5 ADTF XSystem UI Service Plugin - Qt5 ADTF XSystem Concept

Hinweis: Im Service muss das Property "enable_recording_dialog" auf true gesetzt werden.

Bitte um Feedback

Viele Grüße

Matthias

#5 - 2023-03-28 13:42 - hidden

PS: Die Online Doku ist bereits seit der Release Mail aktuell :-)

Ggf. lädt der Browser lokal aber noch den alten Cache, F5 o.ä. sollte helfen.

https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_xsystem_plugin.html#section_adtf_xsystem

Hier gibts auch ein Bildchen und etwas Text bzgl. dem Recording Dialog.

Sollte aber für sich selbst sprechen.

Gruß,

Florian

#6 - 2023-03-29 05:48 - hidden

Das hört sich sehr stark nach dem Feature aus dem alten ADTF2 an, welche gesucht wird. Prima.

Das Ticket kann dann geschlossen werden.

#7 - 2023-03-29 06:51 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#8 - 2023-04-03 07:24 - hidden

- Project changed from 30 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
